# TODO
# - move progs to sbindir like other mkfs tools
Summary:	HFS volume utils
Summary(pl.UTF-8):	Narzędzia do woluminów HFS
Name:		hfsutils
Version:	3.2.6
Release:	4
License:	GPL v2+
Group:		Applications/System
Source0:	ftp://ftp.mars.org/pub/hfs/%{name}-%{version}.tar.gz
# Source0-md5:	fa572afd6da969e25c1455f728750ec4
Patch0:		%{name}-DESTDIR.patch
Patch1:		%{name}-ac.patch
Patch2:		%{name}-errno.patch
Patch3:		%{name}-include-c99.patch
Patch4:		%{name}-largefile.patch
URL:		https://www.mars.org/home/rob/proj/hfs/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	libtool
BuildRequires:	tcl-devel
BuildRequires:	tk-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
HFS volume utils.

%description -l pl.UTF-8
Narzędzia do woluminów HFS.

%package tcl
Summary:	Tcl based HFS utility shell
Summary(pl.UTF-8):	Powłoka narzędziowa HFS oparta na Tcl
Group:		Applications/File
Requires:	%{name} = %{version}-%{release}

%description tcl
Tcl based HFS utility shell.

%description tcl -l pl.UTF-8
Powłoka narzędziowa HFS oparta na Tcl.

%package tk
Summary:	Tk based HFS GUI
Summary(pl.UTF-8):	Oparty na Tk graficzny interfejs do HFS
Group:		Applications/File
Requires:	%{name} = %{version}-%{release}

%description tk
Tk based HFS GUI.

%description tk -l pl.UTF-8
Oparty na Tk graficzny interfejs do HFS.

%package devel
Summary:	Header files and static libraries for HFS
Summary(pl.UTF-8):	Pliki nagłówkowe i biblioteki statyczne do HFS
Group:		Development/Libraries

%description devel
Header files and static libraries for HFS.

%description devel -l pl.UTF-8
Pliki nagłówkowe i biblioteki statyczne do HFS.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}

cd libhfs
%{__aclocal}
%{__autoconf}
%{__autoheader}
cd ..

cd librsrc
%{__aclocal}
%{__autoconf}
%{__autoheader}
cd ..

CFLAGS="%{rpmcflags} -D_FILE_OFFSET_BITS=64 -DUSE_INTERP_RESULT"
%configure \
	--enable-devlibs \
	--with-tcl \
	--with-tk
%{__make}

%{__make} hfsck/hfsck

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install hfsck/hfsck $RPM_BUILD_ROOT%{_bindir}
ln -sf hfsck $RPM_BUILD_ROOT%{_bindir}/fsck.hfs

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc BLURB CREDITS README CHANGES TODO doc/charset.txt
%attr(755,root,root) %{_bindir}/fsck.hfs
%attr(755,root,root) %{_bindir}/hattrib
%attr(755,root,root) %{_bindir}/hcd
%attr(755,root,root) %{_bindir}/hcopy
%attr(755,root,root) %{_bindir}/hdel
%attr(755,root,root) %{_bindir}/hdir
%attr(755,root,root) %{_bindir}/hformat
%attr(755,root,root) %{_bindir}/hfsck
%attr(755,root,root) %{_bindir}/hfsutil
%attr(755,root,root) %{_bindir}/hls
%attr(755,root,root) %{_bindir}/hmkdir
%attr(755,root,root) %{_bindir}/hmount
%attr(755,root,root) %{_bindir}/hpwd
%attr(755,root,root) %{_bindir}/hrename
%attr(755,root,root) %{_bindir}/hrmdir
%attr(755,root,root) %{_bindir}/humount
%attr(755,root,root) %{_bindir}/hvol
%{_mandir}/man1/hattrib.1*
%{_mandir}/man1/hcd.1*
%{_mandir}/man1/hcopy.1*
%{_mandir}/man1/hdel.1*
%{_mandir}/man1/hdir.1*
%{_mandir}/man1/hformat.1*
%{_mandir}/man1/hfsutils.1*
%{_mandir}/man1/hls.1*
%{_mandir}/man1/hmkdir.1*
%{_mandir}/man1/hmount.1*
%{_mandir}/man1/hpwd.1*
%{_mandir}/man1/hrename.1*
%{_mandir}/man1/hrmdir.1*
%{_mandir}/man1/humount.1*
%{_mandir}/man1/hvol.1*

%files tcl
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/hfs
%attr(755,root,root) %{_bindir}/hfssh
%{_mandir}/man1/hfs.1*
%{_mandir}/man1/hfssh.1*

%files tk
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/xhfs
%{_mandir}/man1/xhfs.1*

%files devel
%defattr(644,root,root,755)
%{_libdir}/libhfs.a
%{_libdir}/librsrc.a
%{_includedir}/hfs.h
%{_includedir}/rsrc.h
%changelog
* Sun Mar 19 2023 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/hfsutils.git;a=log;h=master

* Sat Mar 18 2023 Jakub Bogusz <qboosh@pld-linux.org> 3bb9d58
- build hfsck; release 4

* Sat Mar 18 2023 Jakub Bogusz <qboosh@pld-linux.org> b484447
- build also tcl and tk utils
- fixed DESTDIR and ac patches
- added errno,include-c99,largefile patches from Fedora

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 0e46639
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 0590f55
- converted to UTF-8

* Wed May 24 2006 Elan Ruusamäe <glen@pld-linux.org> 87ba83c
- add todo (anyone against?)

* Wed Aug 18 2004 undefine <undefine@pld-linux.org> a50cd11
- release 3

* Mon Aug 18 2003 Tomasz Pala <gotar@pld-linux.org> 3c2b6d4
- mass commit: cosmetics (removed trailing white spaces)

* Wed May 28 2003 Michal Moskal <michal@moskal.me> 1d76288
- massive attack: source-md5

* Sun May 25 2003 misi3k <misi3k@pld-linux.org> 17188ad
- massive attack s/pld.org.pl/pld-linux.org/

* Thu Apr 10 2003 speedy <speedy@pld-linux.org> 9ba5c39
- small ac/am fix.

* Thu Apr 10 2003 speedy <speedy@pld-linux.org> 414508e
- release 2
- small ac fix.

* Mon Nov 25 2002 marcus <marcus@pld-linux.org> ef554aa
- use new %doc

* Wed Oct 09 2002 kloczek <kloczek@pld-linux.org> f41c99c
- use more macros, some cosmetics, added missing "rm -f missing" and use new %doc

* Sun Jun 23 2002 kloczek <kloczek@pld-linux.org> 1b05411
- perl -pi -e "s/^libtoolize --copy --force/\%\{__libtoolize\}/"

* Wed May 22 2002 kloczek <kloczek@pld-linux.org> e70e42a
- perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
     s/^autoconf/\%\{__autoconf\}/"

* Thu Apr 25 2002 arturs <arturs@pld-linux.org> 02fd84b
- fixed a small typo

* Tue Mar 12 2002 kloczek <kloczek@pld-linux.org> 47ecd21
- cosmetics.

* Wed Mar 06 2002 marcus <marcus@pld-linux.org> 8c6b714
- do not fork shell for regenerate ac/am

* Tue Mar 05 2002 marcus <marcus@pld-linux.org> 9aa6b5a
- fixed DESTDIR

* Tue Mar 05 2002 marcus <marcus@pld-linux.org> cb99246
- fixed DESTDIR in $BINDEST

